net.sf.cglib.reflect

## Class ConstructorDelegate

- java.lang.Object
- - net.sf.cglib.reflect.ConstructorDelegate

-     public abstract class ConstructorDelegate
      extends java.lang.Object

  Version:
    $Id: ConstructorDelegate.java,v 1.20 2006/03/05 02:43:19 herbyderby Exp $
  Author:
    Chris Nokleberg

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConstructorDelegate.Generator`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConstructorDelegate` | `create(java.lang.Class targetClass, java.lang.Class iface)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static ConstructorDelegate create(java.lang.Class targetClass,
                                   java.lang.Class iface)

Copyright (c) 2001 - Apache Software Foundation